[MS4W-Users] XAMPP, mapscript, PHP API

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[MS4W-Users] XAMPP, mapscript, PHP API

Paul DeVries
(re-posting, trying again to get an answer...)
Trying to get Mapserver and PHP Mapscript installed, under already 
running Apache (XAMPP, W7, Apache 2.2.14 (Win32),PHP 5.3.1)
Have followed advice I could find, as best I could:
1. followed steps
http://www.maptools.org/ms4w/index.phtml?page=README_INSTALL.html#i-installing-the-ms4w-mapserver-binaries-in-other-environments
Using files from ms4w 2.3.1.
So listed dlls are in C:\xampp\cgi-bin
php_mapscript.dllis in C:\xampp\php\ext
Various paths in conf/httpd.conf set
Mapserver running, for exampled testing 
http://localhost/cgi-bin/mapserv.exe?map=/ms4w/apps/tutorial/htdocs/example1-1.map&layer=states&mode=map 
<http://localhost/cgi-bin/mapserv.exe?map=/ms4w/apps/tutorial/htdocs/example1-1.map&layer=states&mode=map>, 
OK; commandline tools OK.
php.ini has extension=php_mapscript.dll, php.ini is the correct one 
(have activated/deactivated several other extensions which are then 
reflected in php_info)

2. now I want the PHP mapscript to work, the goal...
testing with quickmap.php (got rid of the dl() call as it's not 
supported and I have mapscript in php.ini as an extension)
"Call to undefined function ms_newMapObj() 
in*C:\xampp\htdocs\quickmap.php*on line*27"
*hmm, ok, and the mapscript extension is not showing up in php_info either
running: php.exe ....htdocs/phpinfo_mapscript.php or any *.php using the 
mapscript dll, getting
...
Module compiled with module API=20060613
PHP compiled with module API=20090626
...they must match ...

Suggestions? Do I have to compile php_mapscript.dll to somehow match the 
PHP compilation?

/Paul

_______________________________________________
MS4W-Users mailing list
[hidden email]
http://lists.maptools.org/mailman/listinfo/ms4w-users
Reply | Threaded
Open this post in threaded view
|

Re: XAMPP, mapscript, PHP API

jmckenna
Administrator
Hi Paul,

If you are able to compile php_mapscript, you can do so against your PHP
version (5.3.1) and see if that helps.  You can also contact me directly
for a custom build at any time.

-jeff



--
Jeff McKenna
MapServer Consulting and Training Services
http://www.gatewaygeomatics.com/


On 10-11-23 12:08 PM, Paul DeVries wrote:

> (re-posting, trying again to get an answer...)
> Trying to get Mapserver and PHP Mapscript installed, under already
> running Apache (XAMPP, W7, Apache 2.2.14 (Win32),PHP 5.3.1)
> Have followed advice I could find, as best I could:
> 1. followed steps
> http://www.maptools.org/ms4w/index.phtml?page=README_INSTALL.html#i-installing-the-ms4w-mapserver-binaries-in-other-environments
> Using files from ms4w 2.3.1.
> So listed dlls are in C:\xampp\cgi-bin
> php_mapscript.dllis in C:\xampp\php\ext
> Various paths in conf/httpd.conf set
> Mapserver running, for exampled testing
> http://localhost/cgi-bin/mapserv.exe?map=/ms4w/apps/tutorial/htdocs/example1-1.map&layer=states&mode=map  <http://localhost/cgi-bin/mapserv.exe?map=/ms4w/apps/tutorial/htdocs/example1-1.map&layer=states&mode=map>
> <http://localhost/cgi-bin/mapserv.exe?map=/ms4w/apps/tutorial/htdocs/example1-1.map&layer=states&mode=map  <http://localhost/cgi-bin/mapserv.exe?map=/ms4w/apps/tutorial/htdocs/example1-1.map&layer=states&mode=map>>,
> OK; commandline tools OK.
> php.ini has extension=php_mapscript.dll, php.ini is the correct one
> (have activated/deactivated several other extensions which are then
> reflected in php_info)
>
> 2. now I want the PHP mapscript to work, the goal...
> testing with quickmap.php (got rid of the dl() call as it's not
> supported and I have mapscript in php.ini as an extension)
> "Call to undefined function ms_newMapObj()
> in*C:\xampp\htdocs\quickmap.php*on line*27"
> *hmm, ok, and the mapscript extension is not showing up in php_info either
> running: php.exe ....htdocs/phpinfo_mapscript.php or any *.php using the
> mapscript dll, getting
> ...
> Module compiled with module API=20060613
> PHP compiled with module API=20090626
> ...they must match ...
>
> Suggestions? Do I have to compile php_mapscript.dll to somehow match the
> PHP compilation?
>

_______________________________________________
MS4W-Users mailing list
[hidden email]
http://lists.maptools.org/mailman/listinfo/ms4w-users
Reply | Threaded
Open this post in threaded view
|

Re: XAMPP, mapscript, PHP API

zaina
plz help me i m new in this  forum i want know who to add mapscript in my appach to be able to read shipfiles because i don't want to start 2 appach (ms4w and xampp).

thank you to all